"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var t = require("@babel/types");
exports.default = (function (node) {
    // skip <React.xxx> <Form.Item>
    if (t.isJSXIdentifier(node.name)) {
        var attributes = node.attributes;
        var className = attributes.find(function (attribute) {
            if (t.isJSXAttribute(attribute)) {
                return attribute.name.name === 'className' || attribute.name.name === 'class';
            }
            return false;
        });
        if (className) {
            var classValue = className.value;
            if (t.isStringLiteral(classValue)) {
                return "." + classValue.value;
            }
            if (t.isJSXExpressionContainer(classValue)) {
                if (t.isMemberExpression(classValue.expression)) {
                    if (t.isStringLiteral(classValue.expression.property)) {
                        return "." + classValue.expression.property.value;
                    }
                    if (t.isIdentifier(classValue.expression.property)) {
                        return "." + classValue.expression.property.name;
                    }
                }
            }
        }
        var tag = node.name.name;
        if (/^[a-z]/g.test(tag)) {
            return tag;
        }
    }
});
//# sourceMappingURL=getClassName.js.map